aboutsummaryrefslogtreecommitdiffstats
path: root/community/postsrsd/APKBUILD
diff options
context:
space:
mode:
authorKevin Daudt <me@ikke.info>2016-12-19 19:33:14 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-12-20 14:30:43 +0100
commitb278832ab0ca264b259b80e724eb22e13076523e (patch)
treee0ec81f60806cdfa84233edbca74e8f6100bddf7 /community/postsrsd/APKBUILD
parent6e161a676fd2388808fb2ac211aed9e23e4f7344 (diff)
downloadaports-b278832ab0ca264b259b80e724eb22e13076523e.tar.gz
aports-b278832ab0ca264b259b80e724eb22e13076523e.tar.bz2
aports-b278832ab0ca264b259b80e724eb22e13076523e.tar.xz
community/postsrsd: new aport
Diffstat (limited to 'community/postsrsd/APKBUILD')
-rw-r--r--community/postsrsd/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/community/postsrsd/APKBUILD b/community/postsrsd/APKBUILD
new file mode 100644
index 0000000000..24d9d80488
--- /dev/null
+++ b/community/postsrsd/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Kevin Daudt <ops@ikke.info>
+# Maintainer: Kevin Daudt <ops@ikke.info>
+pkgname=postsrsd
+pkgver=1.4
+pkgrel=0
+pkgdesc="Postfix Sender Rewriting Scheme daemon"
+url="https://github.com/roehling/postsrsd"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="cmake help2man"
+pkgusers="postsrsd"
+install="$pkgname.pre-install"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/roehling/postsrsd/archive/$pkgver.tar.gz
+ 10-fix-defaults.patch
+ postsrsd.initd"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+
+ mkdir build
+ cd build
+
+ cmake .. -DCMAKE_INSTALL_PREFIX=/usr/ \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DGENERATE_SRS_SECRET=OFF \
+ -DCONFIG_DIR=/etc/postsrsd || return 1
+ make all
+}
+
+package() {
+ cd "$builddir"
+
+
+ make DESTDIR="$pkgdir/" install
+
+ install -d "$pkgdir/etc/postsrsd/"
+ install -Dm0644 build/postsrsd.default "$pkgdir/etc/conf.d/postsrsd"
+ install -Dm0755 "$srcdir/postsrsd.initd" "$pkgdir/etc/init.d/postsrsd"
+}
+
+md5sums="cb6e13a06d6bbd7d383efb9bbf0867ce postsrsd-1.4.tar.gz
+a4104dbe7c6bc88de6a1fa29ee82e531 10-fix-defaults.patch
+575d5c5563def2aabdd752abc54b5e45 postsrsd.initd"
+sha256sums="f3230d57c36ba4688cc3beb90fbb0f199a06381e4df2edbc4ef541a9e8a574ff postsrsd-1.4.tar.gz
+4e8093e8a90f499402f17ea9be253c499f47218bc7918d58825f6a1e2daa2543 10-fix-defaults.patch
+e59e9193998041023f6ef2740fd8ddaa2903d2a88f39e14f638c5ca2ce023b3b postsrsd.initd"
+sha512sums="e5b9d2091d562030dd8d35117a3c5fb7d99c0613120fc90f74be57af5e88a3fe0ce73a5ce702708047ae37f70c6aedb4a0df018dccbe480048ccb6ed4debbcef postsrsd-1.4.tar.gz
+bdafd3921fac6af21cf099ac63fd06692dca37366e197b23aaedd3cf748652bcc5b54cf545b24c7e6cb48d266233a29e9184481af99aa8d58a80e512d326c788 10-fix-defaults.patch
+bec690156e60a10286f92470420e2caccd0cd8fd5707fefddeb768b36a4697b9651acd707c7de08a99832a8b27a0328560501fb1376fe39bc27f5fbe4dca7797 postsrsd.initd"